Get a single custom field.
cURL
curl --request GET \ --url https://api.incident.io/v2/custom_fields/{id} \ --header 'Authorization: Bearer <token>'
{ "custom_field": { "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0", "created_at": "2021-08-17T13:28:57.801578Z", "description": "Which team is impacted by this issue", "field_type": "single_select", "filter_by": { "catalog_attribute_id": "01H2FW182TAH0NHEVBY34SCAK0", "custom_field_id": "01H2FW182TAH0NHEVBY34SCAK0" }, "group_by_catalog_attribute_id": "01FCNDV6P870EA6S7TK1DSYDG0", "helptext_catalog_attribute_id": "01H2FW182TAH0NHEVBY34SCAK0", "id": "01FCNDV6P870EA6S7TK1DSYDG0", "name": "Affected Team", "updated_at": "2021-08-17T13:28:57.801578Z" } }
API key from your incident.io dashboard (Settings → API keys)
Unique identifier for the custom field
"01FCNDV6P870EA6S7TK1DSYDG0"
OK response.
Show child attributes
Was this page helpful?
Contact support